=== debian/changelog ===
k3conf (0.3-1) unstable; urgency=medium

  * Initial release. Closes: #1037141

 -- Andrew Davis <afd@ti.com>  Mon, 09 Oct 2023 12:00:08 -0500
