=== debian/control ===
Source: k3conf
Section: devel
Priority: optional
Maintainer: Debian Texas Instruments Maintainers <team+ti@tracker.debian.org>
Uploaders:
 Sai Sree Kartheek Adivi <s-adivi@ti.com>,
 Andrew Davis <afd@ti.com>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Vcs-Git: https://salsa.debian.org/ti-team/k3conf.git
Vcs-Browser: https://salsa.debian.org/ti-team/k3conf
Homepage: https://git.ti.com/cgit/k3conf/k3conf

Package: k3conf
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Powerful Diagnostic Tool for Texas Instruments K3 based Processors
 K3CONF is a Linux user-space application designed to provide a quick'n easy way
 to dynamically diagnose Texas Instruments' K3 architecture based processors.
 k3conf is intended to provide a similar experience to that of OMAPCONF that
 runs on legacy TI platforms.
