=== debian/watch ===
version=4
https://git.ti.com/cgit/k3conf/k3conf/ snapshot/@PACKAGE@@ANY_VERSION@.tar.gz
